Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class Parameter

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v4.Parameter

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class Parameter

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="UnitType" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}UnitTypeType"/>
             <element name="Domain" type="{urn:be:fgov:ehealth:dics:protocol:v4}DomainType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Parameter()`

Method Summary
`List<DomainType>` | `getDomains()` Gets the value of the domains property.
`String` | `getName()` Gets the value of the name property.
`String` | `getUnitType()` Gets the value of the unitType property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setUnitType(String value)` Sets the value of the unitType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### getUnitType

    public String getUnitType()

  Gets the value of the unitType property.

  Returns:
    possible object is `String`

### setUnitType

    public void setUnitType(String value)

  Sets the value of the unitType property.

  Parameters:
    `value` - allowed object is `String`

### getDomains

    public List<DomainType> getDomains()

  Gets the value of the domains property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the domains property.

  For example, to add a new item, do as follows:

          getDomains().add(newItem);

  Objects of the following type(s) are allowed in the list `DomainType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.